package com.jesuspinar.miobjeto.serializable.controller;

import java.io.*;

public class ObjWriter {
    public static boolean write(Object obj, File out) {
        try (FileOutputStream fos = new FileOutputStream(out);
             ObjectOutputStream oos = new ObjectOutputStream(fos)
        ){
            oos.writeObject(obj);
            oos.flush();
            return true;
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
    public static byte[] convertObjectToBytes(Object obj) {
        ByteArrayOutputStream boas = new ByteArrayOutputStream();
        try (ObjectOutputStream objOutStream = new ObjectOutputStream(boas)
        ){
            objOutStream.writeObject(obj);
            return boas.toByteArray();
        } catch (IOException ioe) {
            ioe.printStackTrace();
        }
        throw new RuntimeException();
    }
}
